# HG changeset patch
# Node ID ae7ad700d02d
# Parent  7349d70e5358
diff --git a/libpurple/media.h b/libpurple/media.h
--- a/libpurple/media.h
+++ b/libpurple/media.h
@@ -42,6 +42,7 @@ typedef struct _PurpleMedia PurpleMedia;
 #define PURPLE_IS_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_MEDIA))
 #define PURPLE_MEDIA_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_MEDIA, PurpleMediaClass))
 
+#include "purpleversion.h"
 #include "signals.h"
 #include "util.h"
 
@@ -374,6 +375,7 @@ gboolean purple_media_set_send_codec(Pur
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_set_encryption_parameters(PurpleMedia *media,
 		const gchar *sess_id, const gchar *cipher,
 		const gchar *auth, const gchar *key, gsize key_len);
@@ -394,6 +396,7 @@ gboolean purple_media_set_encryption_par
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_set_decryption_parameters(PurpleMedia *media,
 		const gchar *sess_id, const gchar *participant,
 		const gchar *cipher, const gchar *auth,
@@ -410,6 +413,7 @@ gboolean purple_media_set_decryption_par
  *
  * Since: 2.14.0
  */
+PURPLE_AVAILABLE_IN_2_14
 gboolean purple_media_set_require_encryption(PurpleMedia *media,
 		const gchar *sess_id, const gchar *participant,
 		gboolean require_encryption);
@@ -438,6 +442,7 @@ gboolean purple_media_codecs_ready(Purpl
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_set_send_rtcp_mux(PurpleMedia *media,
 		const gchar *sess_id, const gchar *participant, gboolean send_rtcp_mux);
 /**
diff --git a/libpurple/media/backend-iface.h b/libpurple/media/backend-iface.h
--- a/libpurple/media/backend-iface.h
+++ b/libpurple/media/backend-iface.h
@@ -29,6 +29,7 @@
 #include "codec.h"
 #include "enum-types.h"
 #include "media.h"
+#include "purpleversion.h"
 
 #include <glib-object.h>
 
@@ -293,6 +294,7 @@ const gchar **purple_media_backend_get_a
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_backend_set_send_rtcp_mux(PurpleMediaBackend *self,
 		const gchar *sess_id, const gchar *participant, gboolean send_rtcp_mux);
 
diff --git a/libpurple/prefs.h b/libpurple/prefs.h
--- a/libpurple/prefs.h
+++ b/libpurple/prefs.h
@@ -29,6 +29,8 @@
 
 #include <glib.h>
 
+#include "purpleversion.h"
+
 /**
  * PurplePrefType:
  * @PURPLE_PREF_NONE:        No type.
@@ -413,6 +415,7 @@ void purple_prefs_trigger_callback(const
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 void purple_prefs_trigger_callback_object(PurplePrefCallbackData *data);
 
 /**
diff --git a/libpurple/purpleversion.h b/libpurple/purpleversion.h
--- a/libpurple/purpleversion.h
+++ b/libpurple/purpleversion.h
@@ -106,6 +106,38 @@
 #define PURPLE_AVAILABLE_IN_ALL _PURPLE_EXTERN
 
 /**
+ * PURPLE_VERSION_2_11:
+ *
+ * A macro that evaluates to the 2.11 version of libpurple, in a format that
+ * can be used by the C pre-processor.
+ *
+ * Since: 3.0.0
+ */
+#define PURPLE_VERSION_2_11 (G_ENCODE_VERSION(2, 11))
+
+#if PURPLE_VERSION_MAX_ALLOWED < PURPLE_VERSION_2_11
+#define PURPLE_AVAILABLE_IN_2_11 PURPLE_UNAVAILABLE(2, 11)
+#else
+#define PURPLE_AVAILABLE_IN_2_11 _PURPLE_EXTERN
+#endif
+
+/**
+ * PURPLE_VERSION_2_14:
+ *
+ * A macro that evaluates to the 2.14 version of libpurple, in a format that
+ * can be used by the C pre-processor.
+ *
+ * Since: 3.0.0
+ */
+#define PURPLE_VERSION_2_14 (G_ENCODE_VERSION(2, 14))
+
+#if PURPLE_VERSION_MAX_ALLOWED < PURPLE_VERSION_2_14
+#define PURPLE_AVAILABLE_IN_2_14 PURPLE_UNAVAILABLE(2, 14)
+#else
+#define PURPLE_AVAILABLE_IN_2_14 _PURPLE_EXTERN
+#endif
+
+/**
  * PURPLE_VERSION_3_0:
  *
  * A macro that evaluates to the 3.0 version of libpurple, in a format that can
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -576,6 +576,7 @@ gssize purple_xfer_write(PurpleXfer *xfe
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 gboolean
 purple_xfer_write_file(PurpleXfer *xfer, const guchar *buffer, gsize size);
 
@@ -592,6 +593,7 @@ purple_xfer_write_file(PurpleXfer *xfer,
  *
  * Since: 2.11.0
  */
+PURPLE_AVAILABLE_IN_2_11
 gssize
 purple_xfer_read_file(PurpleXfer *xfer, guchar *buffer, gsize size);
 
